Deliver channel status
GET
/v1/artifacts/{id}/deliver
const url = 'https://shareout.site/v1/artifacts/example/deliver';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/artifacts/example/deliver \ --header 'Authorization: Bearer <token>'Per-channel connection status for the Home Inspector Deliver section — whether Telegram is linked for the signed-in user, Slack is connected for the artifact workspace (with OAuth connectUrl when not), and email is always available.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Artifact ID (e.g. art_abc123).
Responses
Section titled “ Responses ”Channel status
Media type application/json
object
telegram
object
linked
boolean
connectUrl
string
slack
object
available
boolean
connected
boolean
connectionName
string | null
connectUrl
string | null
email
object
available
boolean
Example generated
{ "telegram": { "linked": true, "connectUrl": "example" }, "slack": { "available": true, "connected": true, "connectionName": "example", "connectUrl": "example" }, "email": { "available": true }}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}